<?php

/**
 * @file
 * image_alt_fix_views.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function image_alt_fix_views_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'image_alt_fix_records';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'taxonomy_term_data';
  $view->human_name = 'Image Alt Fix Records';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Image Alt Fix Records';
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'delete terms in 2';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['reset_button'] = TRUE;
  $handler->display->display_options['pager']['type'] = 'infinite_scroll';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['style_options']['row_class_special'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['hide_empty'] = TRUE;
  $handler->display->display_options['row_options']['default_field_elements'] = FALSE;
  /* Field: Bulk operations: Taxonomy term */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'views_entity_taxonomy_term';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = '';
  $handler->display->display_options['fields']['views_bulk_operations']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['views_bulk_operations']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '1';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['row_clickable'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '100';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::views_bulk_operations_delete_item' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'skip_permission_check' => 1,
      'override_label' => 1,
      'label' => 'Delete',
      'settings' => array(
        'log' => 0,
      ),
    ),
    'action::views_bulk_operations_modify_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 1,
      'skip_permission_check' => 1,
      'override_label' => 1,
      'label' => 'Change Status',
      'settings' => array(
        'show_all_tokens' => 0,
        'display_values' => array(
          'image_alt_fix_records::field_remediation_status' => 'image_alt_fix_records::field_remediation_status',
        ),
      ),
    ),
  );
  /* Field: Taxonomy term: Rendered Taxonomy term */
  $handler->display->display_options['fields']['rendered_entity']['id'] = 'rendered_entity';
  $handler->display->display_options['fields']['rendered_entity']['table'] = 'views_entity_taxonomy_term';
  $handler->display->display_options['fields']['rendered_entity']['field'] = 'rendered_entity';
  $handler->display->display_options['fields']['rendered_entity']['label'] = '';
  $handler->display->display_options['fields']['rendered_entity']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['rendered_entity']['link_to_entity'] = 1;
  $handler->display->display_options['fields']['rendered_entity']['display'] = 'view';
  $handler->display->display_options['fields']['rendered_entity']['view_mode'] = 'full';
  $handler->display->display_options['fields']['rendered_entity']['bypass_access'] = 0;
  /* Field: Taxonomy term: Term edit link */
  $handler->display->display_options['fields']['edit_term']['id'] = 'edit_term';
  $handler->display->display_options['fields']['edit_term']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['fields']['edit_term']['field'] = 'edit_term';
  $handler->display->display_options['fields']['edit_term']['label'] = '';
  $handler->display->display_options['fields']['edit_term']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_term']['text'] = 'Edit';
  /* Filter criterion: Taxonomy vocabulary: Machine name */
  $handler->display->display_options['filters']['machine_name']['id'] = 'machine_name';
  $handler->display->display_options['filters']['machine_name']['table'] = 'taxonomy_vocabulary';
  $handler->display->display_options['filters']['machine_name']['field'] = 'machine_name';
  $handler->display->display_options['filters']['machine_name']['value'] = array(
    'image_alt_fix_records' => 'image_alt_fix_records',
  );
  /* Filter criterion: Taxonomy term: Remediation Status (field_remediation_status) */
  $handler->display->display_options['filters']['field_remediation_status_tid']['id'] = 'field_remediation_status_tid';
  $handler->display->display_options['filters']['field_remediation_status_tid']['table'] = 'field_data_field_remediation_status';
  $handler->display->display_options['filters']['field_remediation_status_tid']['field'] = 'field_remediation_status_tid';
  $handler->display->display_options['filters']['field_remediation_status_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_remediation_status_tid']['expose']['operator_id'] = 'field_remediation_status_tid_op';
  $handler->display->display_options['filters']['field_remediation_status_tid']['expose']['label'] = 'Remediation Status';
  $handler->display->display_options['filters']['field_remediation_status_tid']['expose']['operator'] = 'field_remediation_status_tid_op';
  $handler->display->display_options['filters']['field_remediation_status_tid']['expose']['identifier'] = 'field_remediation_status_tid';
  $handler->display->display_options['filters']['field_remediation_status_tid']['expose']['multiple'] = TRUE;
  $handler->display->display_options['filters']['field_remediation_status_tid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['field_remediation_status_tid']['type'] = 'select';
  $handler->display->display_options['filters']['field_remediation_status_tid']['vocabulary'] = 'image_alt_fix_status';

  /* Display: Image Alt Fix Records */
  $handler = $view->new_display('block', 'Image Alt Fix Records', 'image_alt_fix_records_block');
  $export['image_alt_fix_records'] = $view;

  return $export;
}
