<?php

/**
 * @file
 * image_alt_fix_taxonomy.features.taxonomy.inc
 */

/**
 * Implements hook_taxonomy_default_vocabularies().
 */
function image_alt_fix_taxonomy_taxonomy_default_vocabularies() {
  return array(
    'image_alt_fix_records' => array(
      'name' => 'Image Alt Fix Records',
      'machine_name' => 'image_alt_fix_records',
      'description' => 'Each term represents a single image record that is missing alt text.',
      'hierarchy' => 0,
      'module' => 'taxonomy',
      'weight' => 0,
      'rdf_mapping' => array(
        'rdftype' => array(
          0 => 'skos:ConceptScheme',
        ),
        'name' => array(
          'predicates' => array(
            0 => 'dc:title',
          ),
        ),
        'description' => array(
          'predicates' => array(
            0 => 'rdfs:comment',
          ),
        ),
      ),
    ),
    'image_alt_fix_status' => array(
      'name' => 'Image Alt Fix Status',
      'machine_name' => 'image_alt_fix_status',
      'description' => 'The current state of the Image Alt Fix image record.',
      'hierarchy' => 0,
      'module' => 'taxonomy',
      'weight' => 0,
      'rdf_mapping' => array(
        'rdftype' => array(
          0 => 'skos:ConceptScheme',
        ),
        'name' => array(
          'predicates' => array(
            0 => 'dc:title',
          ),
        ),
        'description' => array(
          'predicates' => array(
            0 => 'rdfs:comment',
          ),
        ),
      ),
    ),
  );
}
